Delivers order data for a specific package
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingAddress": {
"customsDocumentsRequired": true,
"company": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"addressSupplement": "<string>",
"addressSupplement2": "<string>",
"postId": "<string>",
"mobile": "<string>",
"mail": "<string>",
"fax": "<string>",
"state": "<string>",
"iso": "<string>"
},
"companyAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"entrepreneur": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"iso": "<string>"
},
"warehouseAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"shortcut": "<string>",
"description": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"addressSupplement": "<string>"
},
"deliveryNotes": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAt": "2023-11-07T05:31:56Z",
"number": "<string>"
}
],
"content": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"contentType": "<string>",
"amount": 123,
"weight": 123
}
],
"totalWeight": 123
}Shipment
Delivers order data for a specific package
Delivers order data for a specific package
GET
/
v2
/
packages
/
{packageId}
/
order-data
Delivers order data for a specific package
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/packages/{packageId}/order-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingAddress": {
"customsDocumentsRequired": true,
"company": "<string>",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"addressSupplement": "<string>",
"addressSupplement2": "<string>",
"postId": "<string>",
"mobile": "<string>",
"mail": "<string>",
"fax": "<string>",
"state": "<string>",
"iso": "<string>"
},
"companyAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"entrepreneur": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"iso": "<string>"
},
"warehouseAddress": {
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"shortcut": "<string>",
"description": "<string>",
"street": "<string>",
"zipCode": "<string>",
"city": "<string>",
"country": "<string>",
"phone": "<string>",
"mail": "<string>",
"addressSupplement": "<string>"
},
"deliveryNotes": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAt": "2023-11-07T05:31:56Z",
"number": "<string>"
}
],
"content": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"number": "<string>",
"contentType": "<string>",
"amount": 123,
"weight": 123
}
],
"totalWeight": 123
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Response
Single Row of the order data query
Was this page helpful?